> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Slashing leaderboard

Depending on the slashing role specified, this endpoint returns a list of entities either (1) according to how many times their validators have been slashed or (2) how many times their validators have proposed a block that included slashing report (i.e. letting the network know a slashing incident has occurred). These entities are arranged in descending order.

Here's how to interpret the inputs required to operate it 👇

| Parameter      | Description                                                                                             |
| :------------- | :------------------------------------------------------------------------------------------------------ |
| `from`         | Start ranking (i.e. position in the leaderboard)                                                        |
| `size`         | The number of results included per page                                                                 |
| `slashingRole` | Input `slashed` to query to the slashed entities and `slasher` to query the slashing incident reporters |


## OpenAPI

````yaml get /v0/eth/slashings/leaderboard
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/slashings/leaderboard:
    get:
      tags:
        - Slashings
      summary: Get Slashing Leaderboard
      operationId: get_slashing_leaderboard_v0_eth_slashings_leaderboard_get
      parameters:
        - name: from
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Size
        - name: slashingRole
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SlashingRole'
            default: slashed
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSlashingLeaderboard'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    SlashingRole:
      type: string
      enum:
        - slashed
        - slasher
      title: SlashingRole
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedSlashingLeaderboard:
      properties:
        page:
          $ref: '#/components/schemas/PageP2P'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/SlashingLeaderboard'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
        - next
      title: PaginatedSlashingLeaderboard
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    PageP2P:
      properties:
        fromRank:
          type: integer
          title: Fromrank
        toRank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Torank
        size:
          type: integer
          exclusiveMinimum: 0
          title: Size
          default: 10
      type: object
      required:
        - fromRank
      title: PageP2P
    SlashingLeaderboard:
      properties:
        id:
          type: string
          title: Id
        idType:
          $ref: '#/components/schemas/IdType'
        slashes:
          type: integer
          minimum: 0
          title: Slashes
        medianSlashedMonth:
          type: string
          title: Medianslashedmonth
        slasherPedigree:
          type: string
          title: Slasherpedigree
        slashingRole:
          $ref: '#/components/schemas/SlashingRole'
        validatorCount:
          type: integer
          minimum: 0
          title: Validatorcount
      type: object
      required:
        - id
        - idType
        - slashes
        - medianSlashedMonth
        - slasherPedigree
        - slashingRole
        - validatorCount
      title: SlashingLeaderboard
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    IdType:
      type: string
      enum:
        - depositAddress
        - withdrawalAddress
        - nodeOperator
        - pool
        - poolShare
        - entity
        - validator
        - privateSet
      title: IdType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````